MongoDB Connector

1.5.19.6

No issues specific to this connector were addressed in this release.

See 1.5.19.6 in the Connector Framework release notes for details regarding any other changes that may affect version 1.5.19.6 of the connector.

1.5.19.5

No issues specific to this connector were addressed in this release.

See 1.5.19.5 in the Connector Framework release notes for details regarding any other changes that may affect version 1.5.19.5 of the connector.

1.5.19.4

No issues specific to this connector were addressed in this release.

See 1.5.19.4 in the Connector Framework release notes for details regarding any other changes that may affect version 1.5.19.4 of the connector.

1.5.19.3

No issues specific to this connector were addressed in this release.

See 1.5.19.3 in the Connector Framework release notes for details regarding any other changes that may affect version 1.5.19.3 of the connector.

1.5.19.2

No issues specific to this connector were addressed in this release.

See 1.5.19.2 in the Connector Framework release notes for details regarding any other changes that may affect version 1.5.19.2 of the connector.

1.5.19.1

No issues specific to this connector were addressed in this release.

See 1.5.19.1 in the Connector Framework release notes for details regarding any other changes that may affect version 1.5.19.1 of the connector.

1.5.19.0

No issues specific to this connector were addressed in this release.

See 1.5.19.0 in the Connector Framework release notes for details regarding any other changes that may affect version 1.5.19.0 of the connector.

1.5.18.0

Note

Starting in version 1.5.18.0, the ICF Connector Framework and all connectors bundled with IDM share a unified version number.

  • No issues were addressed in this release.

1.5.6.0

Version 1.5.6.0 is bundled with the IDM 7.0.0 release.

  • OPENICF-1308: MongoDB Connector: update dep to latest groovy connector and mongodb driver

  • OPENICF-1282: MongoDB Connector: Bump up to ICF 1.5.11.0 and Groovy 1.5.3.0

  • OPENICF-1281: MongoDB Connector: Fix the javadoc

  • OPENICF-1199: MongoDB Connector: Change the connector license to CDDL

  • OPENICF-1198: MongoDB Connector: update to latest mongo driver and embed deps

  • OPENICF-1098: MongoDB Connector: Doesn't work with MongoDB 4.0 and above

1.5.1.0

Version 1.5.1.0 is bundled with IDM version 6.5.0 by default.

  • OPENICF-924: Update on __ACCOUNT__ on mongodb usersRoles throws 500 Internal Server Error

  • OPENICF-908: MongoDB: On Update op, do not insert the Uid in the default document

  • OPENICF-870: Remove the 'database' name from the userName from the user

  • OPENICF-865: MongoDB: usersRoles account pwd should be set as required

  • OPENICF-863: MongoDB: usersRoles if role exist should throw AlreadyExistsException instead of Internal Server Error

Read a different version of :